## dgedit 0~git20151217

=== debian/changelog ===
dgedit (0~git20151217-2) unstable; urgency=medium

  * Fix unsecure Vcs-Git URL
  * Add Suggests: Drumgizmo, now that it is packaged
  * Fix buildfags.mk usage, this removes lintian warnings
  * Update d/copyright to 2016
  * Update Std-Ver to 3.9.7

 -- Víctor Cuadrado Juan <me@viccuad.me>  Mon, 21 Mar 2016 14:34:37 +0100

dgedit (0~git20151217-1) unstable; urgency=low

  * New upstream snapshot, from git commit:
        9af1d8cec35d09b00a7e453b4632058dc48835ec
  * Fix reproducibility issue at tools/MocList. The fix was sent to
    upstream and is contained in this new snapshot.

 -- Víctor Cuadrado Juan <me@viccuad.me>  Thu, 17 Dec 2015 15:15:21 +0100

dgedit (0~git20151105-1) unstable; urgency=low

  * Initial release (Closes: #803400)

 -- Víctor Cuadrado Juan <me@viccuad.me>  Thu, 29 Oct 2015 21:16:09 +0100
