=== debian/control ===
Source: dgedit
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Víctor Cuadrado Juan <me@viccuad.me>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
# for get-orig-source:
 git,
# from upstream:
 libsndfile1-dev,
 libao-dev,
 libqt4-dev
Standards-Version: 3.9.7
Homepage: http://www.drumgizmo.org
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/dgedit.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/dgedit.git/

Package: dgedit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: drumgizmo
Description: drum kit editor for DrumGizmo
 DGEdit allows one to create drum kits for use in DrumGizmo from recordings of
 individual instruments (snare, kickdrum, toms, crashes, and so on). It
 supports the entire process of taking a group of WAV files and converting them
 into working instruments with hit energy levels.
