## dgedit 0~git20160401

=== debian/changelog ===
dgedit (0~git20160401-1) unstable; urgency=medium

  * New upstream release
     - New .desktop and icon
  * Add localized fr, es comments to .deskop (Closes: #819197)

 -- Víctor Cuadrado Juan <me@viccuad.me>  Fri, 25 Mar 2016 14:46:19 +0100
