## dgedit 0.10.0

=== debian/changelog ===
dgedit (0.10.0-2) unstable; urgency=medium

  * Team upload

  [ Olivier Humbert ]
  * Update control (http->https)
  * Update copyright (http->https + empty lines)
  * Update dgedit.1 (http->https)
  * Add FR manpage
  * Update dgedit.manpages
  * Update copyright (add myself)

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Víctor Cuadrado Juan ]
  * Bump Std-Ver to 4.5.0, no changes needed
  * Add Rules-Requires-Root: no
  * Add d/upstream/metadata file
  * Remove d/source/include-binaries, not needed anymore
  * Check upstream signature in d/watch

  [ Dennis Braun ]
  * Add pkg-config to B-Ds (Closes: #1020034)
  * Bump Standards Version to 4.6.1
  * Bump dh-compat to 13
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 15 Oct 2022 20:53:05 +0200

dgedit (0.10.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/watch: Add watch file.
  * New upstream release
    - Build with Qt 5. (Closes: #874852)
  * debian/: Remove get-orig-source.
  * debian/contol:
    - Bump debhelper compat to 12.
    - Bump Standards-Version.
  * debian/patches: Fix rcc invocation.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 24 Aug 2019 11:14:30 +0200
