=== debian/control ===
Source: dgedit
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Víctor Cuadrado Juan <me@viccuad.me>
Build-Depends:
 debhelper-compat (= 13),
 libsndfile1-dev,
 libao-dev,
 pkg-config,
 qtbase5-dev,
 qtbase5-dev-tools,
 qttools5-dev-tools,
 qtchooser
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.drumgizmo.org
Vcs-Git: https://salsa.debian.org/multimedia-team/dgedit.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/dgedit

Package: dgedit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: drumgizmo
Description: drum kit editor for DrumGizmo
 DGEdit allows one to create drum kits for use in DrumGizmo from recordings of
 individual instruments (snare, kickdrum, toms, crashes, and so on). It
 supports the entire process of taking a group of WAV files and converting them
 into working instruments with hit energy levels.
