=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
  https://drumgizmo.org/releases/@PACKAGE@-@ANY_VERSION@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
